/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./client/src/Player.js":
/*!******************************!*\
  !*** ./client/src/Player.js ***!
  \******************************/
/***/ (function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
var Player = /*#__PURE__*/function () {
  function Player(x, y, radius) {
    _classCallCheck(this, Player);
    this.x = x;
    this.y = y;
    this.radius = radius;
    this.speed = 4;
    this.direction = {
      x: 0,
      y: 0
    };
  }
  _createClass(Player, [{
    key: "draw",
    value: function draw(ctx) {
      // Dessiner le cercle
      ctx.beginPath();
      ctx.arc(this.x, this.y, this.radius, 0, 2 * Math.PI);
      ctx.fillStyle = "blue";
      ctx.fill();
      ctx.strokeStyle = "black";
      ctx.stroke();
    }
  }, {
    key: "move",
    value: function move(canvas) {
      // Déplacer le cercle en fonction de la direction
      this.x += this.direction.x * this.speed;
      this.y += this.direction.y * this.speed;
      if (this.x < this.radius) {
        this.x = this.radius;
      }
      if (this.y < this.radius) {
        this.y = this.radius;
      }
      if (this.x > canvas.width - this.radius) {
        this.x = canvas.width - this.radius;
      }
      if (this.y > canvas.height - this.radius) {
        this.y = canvas.height - this.radius;
      }
    }
  }]);
  return Player;
}();
/* harmony default export */ __webpack_exports__["default"] = (Player);

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
!function() {
/*!****************************!*\
  !*** ./client/src/main.js ***!
  \****************************/
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _Player_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./Player.js */ "./client/src/Player.js");

var canvas = document.querySelector(".map");
var ctx = canvas.getContext("2d");
var backgroundImage = new Image();
backgroundImage.src = "/images/map.png";
backgroundImage.addEventListener("load", function (event) {
  ctx.drawImage(backgroundImage, 0, 0, canvas.width, canvas.height);
});
var player = new _Player_js__WEBPACK_IMPORTED_MODULE_0__["default"](0, 0, 60);
player.draw(ctx);
console.log(player);
document.addEventListener("keydown", function (event) {
  event.preventDefault();
  // Mettre à jour la direction en fonction des touches enfoncées
  switch (event.keyCode) {
    case 37:
      // Gauche
      player.direction.x = -1;
      break;
    case 38:
      // Haut
      player.direction.y = -1;
      break;
    case 39:
      // Droite
      player.direction.x = 1;
      break;
    case 40:
      // Bas
      player.direction.y = 1;
      break;
  }
});
document.addEventListener("keyup", function (event) {
  event.preventDefault();
  // Mettre à jour la direction en fonction des touches relâchées
  switch (event.keyCode) {
    case 37:
      // Gauche
      if (player.direction.x < 0) {
        player.direction.x = 0;
      }
      break;
    case 38:
      // Haut
      if (player.direction.y < 0) {
        player.direction.y = 0;
      }
      break;
    case 39:
      // Droite
      if (player.direction.x > 0) {
        player.direction.x = 0;
      }
      break;
    case 40:
      // Bas
      if (player.direction.y > 0) {
        player.direction.y = 0;
      }
      break;
  }
});
function update() {
  // Déplacer le joueur en fonction de la direction
  player.move(canvas);

  // Dessiner le joueur et les autres éléments du jeu
  ctx.clearRect(0, 0, canvas.width, canvas.height);
  player.draw(ctx);
  requestAnimationFrame(update);
}
update();
}();
/******/ })()
;
//# sourceMappingURL=main.bundle.js.map