class Player {
  constructor(x, y, radius) {
    this.x = x;
    this.y = y;
    this.radius = radius;
    this.speed = 4;
    this.direction = {
      x: 0,
      y: 0,
    };
  }

  draw(ctx) {
    // Dessiner le cercle
    ctx.beginPath();
    ctx.arc(this.x, this.y, this.radius, 0, 2 * Math.PI);
    ctx.fillStyle = "blue";
    ctx.fill();
    ctx.strokeStyle = "black";
    ctx.stroke();
  }

  move(canvas) {
    // Déplacer le cercle en fonction de la direction
    this.x += this.direction.x * this.speed;
    this.y += this.direction.y * this.speed;
    if (this.x < this.radius) {
      this.x = this.radius;
    }
    if (this.y < this.radius) {
      this.y = this.radius;
    }
    if (this.x > canvas.width - this.radius) {
      this.x = canvas.width - this.radius;
    }
    if (this.y > canvas.height - this.radius) {
      this.y = canvas.height - this.radius;
    }
  }
}

export default Player;
