import Player from "./Player.js";

const canvas = document.querySelector(".map");
const ctx = canvas.getContext("2d");

const backgroundImage = new Image();
backgroundImage.src = "/images/map.png";
backgroundImage.addEventListener("load", (event) => {
  ctx.drawImage(backgroundImage, 0, 0, canvas.width, canvas.height);
});

const player = new Player(0, 0, 60);
player.draw(ctx);

console.log(player);

document.addEventListener("keydown", (event) => {
  event.preventDefault();
  // Mettre à jour la direction en fonction des touches enfoncées
  switch (event.keyCode) {
    case 37: // Gauche
      player.direction.x = -1;
      break;
    case 38: // Haut
      player.direction.y = -1;
      break;
    case 39: // Droite
      player.direction.x = 1;
      break;
    case 40: // Bas
      player.direction.y = 1;
      break;
  }
});

document.addEventListener("keyup", (event) => {
  event.preventDefault();
  // Mettre à jour la direction en fonction des touches relâchées
  switch (event.keyCode) {
    case 37: // Gauche
      if (player.direction.x < 0) {
        player.direction.x = 0;
      }
      break;
    case 38: // Haut
      if (player.direction.y < 0) {
        player.direction.y = 0;
      }
      break;
    case 39: // Droite
      if (player.direction.x > 0) {
        player.direction.x = 0;
      }
      break;
    case 40: // Bas
      if (player.direction.y > 0) {
        player.direction.y = 0;
      }
      break;
  }
});

function update() {
  // Déplacer le joueur en fonction de la direction
  player.move(canvas);

  // Dessiner le joueur et les autres éléments du jeu
  ctx.clearRect(0, 0, canvas.width, canvas.height);
  player.draw(ctx);

  requestAnimationFrame(update);
}

update();
